#!/bin/bash

# Installer script for qq2clone

#------------------------------------------------------------------------#
# Copyright 2021, Jesse Gardner                                          #
#------------------------------------------------------------------------#
# This file is part of qq2clone.                                         #
#                                                                        #
# qq2clone is free software: you can redistribute it and/or modify       #
# it under the terms of the GNU General Public License as published by   #
# the Free Software Foundation, either version 2 of the License, or      #
# (at your option) any later version.                                    #
#                                                                        #
# qq2clone is distributed in the hope that it will be useful,            #
# but WITHOUT ANY WARRANTY; without even the implied warranty of         #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          #
# GNU General Public License for more details.                           #
#                                                                        #
# You should have received a copy of the GNU General Public License      #
# along with qq2clone.  If not, see <https://www.gnu.org/licenses/>.     #
#------------------------------------------------------------------------#

# base64 encoded tgz archive will be added by gen_all.bash in archive below

archive='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'

[[ -z "$HOME" ]] &&
  { echo '$HOME must be defined'; exit 1; }

temp_dir="$(mktemp -d)" ||
  { echo "Failed to create temp directory"; exit 1; }
trap "rm -rf \"${temp_dir:?}\" &>/dev/null" EXIT

{
  cd "$temp_dir" &&
  echo "$archive" | base64 -d > archive.tgz &&
  tar -xzf archive.tgz &&
  rm archive.tgz
} || { echo "Problem unpacking data to $temp_dir"; exit 1; }

declare input="" location="${HOME}/storage-qq2clone"
while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
  echo "[y/n] Use default storage directory '$location' ?"
  read -rn1 input; echo
done

while [[ ! "$input" =~ (y|Y) ]]; do
  echo "Type in new location"
  read -r location; input=""
  while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
    echo "[y/n] Accept location '$location' ?"
    read -rn 1 input; echo
  done
done
echo

{
  mkdir -p "${HOME}/.config" &&
  echo "$location" > "${HOME}/.config/qq2clone"
} || { echo "Failed to write to ${HOME}/.config/qq2clone"; exit 1; }

{
  mkdir -p "$location" &&
  find -mindepth 1 -exec mv \{\} "$location"/\{\} \;
} || { echo "Cannot create/write to '$location'"; exit 1; }

if { command -v sudo &>/dev/null || [[ "$USER" == "root" ]]; }; then

  input=""
  qq_moved=0
  while : ; do
    while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
      echo "[y/n] Move main script file to /usr/bin/qq2clone ?"
      read -rn 1 input; echo
    done
    if [[ "$input" =~ ^(y|Y)$ ]]; then
      success=1
      if [[ "$USER" == "root" ]]; then
        mv "${location}/qq2clone" /usr/bin/qq2clone || success=0
      else
        sudo mv "${location}/qq2clone" /usr/bin/qq2clone || success=0
      fi
      ((success)) && { echo "File moved"; qq_moved=1; break; }
      echo "Attempt failed."; input=""; continue
    else
      echo "You have chosen to leave the main script file at:"
      echo "  ${location}/qq2clone"
      break
    fi
  done
  echo

  input=""
  while : ; do
    while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
      echo "[y/n] Move man page to /usr/local/man/man1/qq2clone.1 ?"
      read -rn 1 input; echo
    done
    if [[ "$input" =~ ^(y|Y)$ ]]; then
      success=1
      if [[ "$USER" == "root" ]]; then
        {
          mkdir -p /usr/local/man/man1 &&
          mv "${location}/qq2clone.1" /usr/local/man/man1/qq2clone.1
        } ||
          success=0
      else
        {
          sudo mkdir -p /usr/local/man/man1 &&
          sudo mv "${location}/qq2clone.1" /usr/local/man/man1/qq2clone.1
        } ||
          success=0
      fi
      ((success)) && { echo "File moved"; break; }
      echo "Attempt failed."; input=""; continue
    else
      echo "You have chosen to leave the man page at:"
      echo "  ${location}/qq2clone.1"
      break
    fi
  done

else
  echo "sudo is not installed on this system, so script and man page files"
  echo "will not be moved to /usr/bin/ and /usr/local/man"
  echo "  [Main script] ${location}/qq2clone"
  echo "  [Man page]    ${location}/qq2clone.1"
  echo "Manually move these files to desired location on this system"
fi
echo

input=""
while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
  echo "[y/n] qq2clone has a bash completion script. Modify ~/.bashrc to"
  echo "      source the completion script?"
  read -rn 1 input; echo
done

if [[ "$input" =~ ^(y|Y)$ ]]; then
  if echo "source ${location}/qq2clone_completion.bash" >> \
       "${HOME}/.bashrc"; then
    echo ".bashrc modified."
  else
    echo "Failed to write to ${HOME}/.bashrc . Completion script is"
    echo "available at:"
    echo "  ${location}/qq2clone_completion.bash"
  fi
else
  echo "Completion script is available at:"
  echo "  ${location}/qq2clone_completion.bash"
fi
echo

if ((qq_moved)); then
  /usr/bin/qq2clone setup
else
  "${location}/qq2clone" setup
fi
setup_code=$?

if ((setup_code != 0)); then
  echo "Setup failed. Resolve problem(s) described, then manually run"
  echo "the setup again using: qq2clone setup"
fi

exit $setup_code
